#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k;
    scanf ("%d", &n);
    scanf ("%d", &k);
    int niz[n];
    int niz2[n];
    int i=0;
    int j=0;
    int a=0;
    for (i=0; i<n; i++)
    {
        scanf ("%d", &niz[i]);
    }
    int brr=0;
    for (i=0; i<n; i++)
    {
        int br=0;
        for (j=i; j<n; j++)
        {
            if (niz[j]==niz[i])
            {
                br++;
            }
            if (br==k)
            {
                niz2[a]=niz[j];
                a++;
                brr++;
                break;
            }
        }
    }
    printf ("%d", brr);
    printf ("\n");
    for (i=0; i<a; i++)
    {
        printf ("%d ", niz2[i]);
    }
    return 0;
}